SDL_SetJoystickEventsEnabled(3)

NAME
SDL_SetJoystickEventsEnabled - Set the state of joystick event processing.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetJoystickEventsEnabled(SDL_bool enabled);

DESCRIPTION
If joystick events are disabled, you must call SDL_UpdateJoysticks () yourself and check the state of the joystick when you want joystick information.

FUNCTION PARAMETERS

enabled
    whether to process joystick events or not

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_JoystickEventsEnabled(3), SDL_UpdateJoysticks(3)